Subject: [bug#32102] [PATCH] utils: Fix wrap-program filename generation.

From: Clément Lassieur <[email-masked]>
Date: Mon, 09 Jul 2018 09:35:11 +0200

Hi Arun,

Arun Isaac <[email-masked]> writes:

> * guix/build/utils.scm (wrap-program): While generating a new filename for the
> wrapped program, trim dots from the left of the basename. This prevents
> already wrapped files being wrapped again with two or more dots prepended to
> them.

Why is it a problem that two or more dots are prepended to them?

It means that 'foo' and '.foo' will have the same generated file name
'.foo-real'.  Wrapping a hidden file and its non-hidden counterpart is
something that probably shouldn't happen, but if for some reason it must
happen, we'll face an annoying bug.  WDYT?

Clément